## BurnerTrackDisc

BurnerTrackDisc

## Functions

BurnerTrackDisc * | burner_track_disc_new ()
BurnerBurnResult | burner_track_disc_set_drive ()
BurnerDrive * | burner_track_disc_get_drive ()
BurnerBurnResult | burner_track_disc_set_track_num ()
guint | burner_track_disc_get_track_num ()
BurnerMedia | burner_track_disc_get_medium_type ()

## Types and Values

struct | BurnerTrackDisc

## Description

## Functions

### burner_track_disc_new ()

    BurnerTrackDisc *
    burner_track_disc_new (void);

Creates a new BurnerTrackDisc object.

This type of tracks is used to copy media either to a disc image file or to another medium.

#### Returns

a BurnerTrackDisc.

### burner_track_disc_set_drive ()

    BurnerBurnResult
    burner_track_disc_set_drive (BurnerTrackDisc *track,
                                 BurnerDrive *drive);

Sets `drive` to be the BurnerDrive that will be used as the source when copying

#### Parameters

track | a BurnerTrackDisc |
drive | a BurnerDrive |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it was successful, BURNER_BURN_ERR otherwise.

### burner_track_disc_get_drive ()

    BurnerDrive *
    burner_track_disc_get_drive (BurnerTrackDisc *track);

Gets the BurnerDrive object that will be used as the source when copying.

#### Parameters

track | a BurnerTrackDisc |

#### Returns

a BurnerDrive or NULL. Don't unref or free it.

### burner_track_disc_set_track_num ()

    BurnerBurnResult
    burner_track_disc_set_track_num (BurnerTrackDisc *track,
                                     guint num);

Sets a track number which can be used to copy only one specific session on a multisession disc

#### Parameters

track | a BurnerTrackDisc |
num | a guint |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it was successful, BURNER_BURN_ERR otherwise.

### burner_track_disc_get_track_num ()

    guint
    burner_track_disc_get_track_num (BurnerTrackDisc *track);

Gets the track number which will be used to copy only one specific session on a multisession disc

#### Parameters

track | a BurnerTrackDisc |

#### Returns

a guint. 0 if none is set, any other number otherwise.

### burner_track_disc_get_medium_type ()

    BurnerMedia
    burner_track_disc_get_medium_type (BurnerTrackDisc *track);

Gets the BurnerMedia for the medium that is currently inserted into the drive assigned for `track` with `burner_track_disc_set_drive()`.

#### Parameters

track | a BurnerTrackDisc |

#### Returns

a BurnerMedia.

## Types and Values

### struct BurnerTrackDisc

    struct BurnerTrackDisc {
    	BurnerTrack parent_instance;
    };